Jump to content

[Debian GNU/Linux] Topic Officiel


-rem-

Recommended Posts

  • Replies 381
  • Created
  • Last Reply

tu as bien un truc comme ça dans ton XF86Config

Section "Screen"

    Identifier  "Screen0"

    Device      "nom_du_device_dans_la bonne_section"

    Monitor    "nom_du-moniteur_dans_la_bonne_section"

    DefaultDepth 24

    #Option "backingstore"

    Subsection "Display"

        Depth      24

        Modes      "1280x960" "1152x864" "1024x768" "800x600" "640x480"

        #Modes      "1024x768" "800x600" "640x480"

        ViewPort    0 0  # initial origin if mode is smaller than desktop

    EndSubsection

EndSection

en général, no screen found c'est plutôt un probleme de driver. tu es sûr de la section Device ?

EDIT tant qu'on y est, tu peux mettre un cat /var/log/XFree86.0.log | grep EE

EDIT 2 : quand on a pas X, links c'est bien pour pouvoir poster sans reboot :keskidit:

Link to post
Share on other sites

heu... je dirais commentes ceux dont tu n'a pas besoin, et laisses uniquement le bon.

tu as essayé avec un driver générique (vesa)?

sinon, la solution qui tue : tu recupère le fichier de conf d'un liveCD ( tu montes ta partition, et tu le copie dans un endroit genre ~)

puis tu regarde les différence entre les deux

:keskidit:

Link to post
Share on other sites

bonne idée le livecd bon j'amene mon portable en cours demain, je verrai ca sur place, j'ai viré les autres écrans déclarés et n'en ai laissé qu'un avec les mêmes parametres que ceux cités apparament pareil :keskidit: bon tant pis :(

Link to post
Share on other sites

Moi avec Woody j'ai eu un problème de "No Screen Found" parce que j'avais l'option du FrameBuffer activée et que mon écran ne le supportait visiblement pas...

Maintenant le nom de l'option dans XF86Config-4... :incline: (peut-être fmb ou fb-truc?)

A tester, même si je suis pas sûr que tout les problèmes de "No Screen Found" viennent du Frame Buffer...

Link to post
Share on other sites
  • 2 weeks later...

J'ai une question qui m'interroge .

Je viens de passer d'un noyau 2.4.18 à un 2.6.10. La compil s'est bien déroulée.

Cependant, apparement, le nom de certains modules ont changé : par exemple, usb-uhci est devenu uhci-hcd ...

Dans mon /etc/modules , j'avais auparavant :

...
usb-uhci
...

Vu que je voudrais pouvoir switcher souvent entre le 2.4 et le 2.6, il faudrait que, quand je lance le 2.4, le module usb-uhci soit chargé automatiquement, et quand c'est le 2.6, que ce soit le module uhci-hcd.

Est ce qu'il faut que je mette les deux dans mon /etc/modules ? Ca fait un peu "porc" non ?

Merci d'avance :D

Link to post
Share on other sites

Eh bien je n'ai pas de debian sous la main, que de la red hat et gentoo, mais avec l'autoloading dans le noyau, tu dois pouvoir avoir la meme interface pour le chargement automatique des modules que gentoo, à savoir /etc/modules.autoload/kernel2.x ..

bon apres verif sur une ubuntu, pas ce type d'interface... Juste /etc/modules et apparement pas plus de détails que cela. Je dirais donc :

:incline: Pourquoi vouloir revenir sur un 2.4 de temps à autre, sachant que les drivers nvidia etc.. demanderont à etre recompiler pour ce noyau, c'est un exemple parmi d'autres. On peut toutefois en faire une copie de sauvegarde dans un chemin différent

:incline: Le plus simple reste de faire 2 parties dans ton fichier, imho :

# 2.6 kernel's modules to load at boot

...

...

# 2.4 kernel's modules to load at boot

#...

#...

et tu commentes les parties inutilisées lors du boot de l'une ou l'autre version du noyau.

Mais j'avoue que je ne vois pas trop l'interet, soit 2.4, soit 2.6 ( :incline: )

Link to post
Share on other sites
  • 1 month later...

Hello,

Quel drivers faut il installer pour avoir une acceleration graphique meme minime sur un Dell Latitude C600 ?

Je ne pense pas que ce sont les fglrx, mais les sites d'ati et ceux de dell ne sont pas du tout explicites ...

Si quelqu'un a une idée ? :) (ca devient assez important vu que je dois bosser professionnellement sur blender :o )

Link to post
Share on other sites

Euh oui... Ca peut etre pratique :transpi:

Voila ce que me donne lshw :

*-display
               description: VGA compatible controller
               product: Rage Mobility M3 AGP 2x
               vendor: ATI Technologies Inc
               physical id: 0
               bus info: pci@01:00.0
               version: 02
               size: 64MB
               width: 32 bits
               clock: 66MHz
               capabilities: vga bus_master cap_list
               resources: iomemory:f8000000-fbffffff ioport:ec00-ecff iomemory:
fdffc000-fdffffff irq:11

Je ne pense pas que ce sera une bete de course, mais je n'ai pas vraiment d'autre choix pour la machine, et je n'ai pas envie de bosser sous win ... :francais:

Link to post
Share on other sites

sur un D600 ? C'est marrant c'est ce sur quoi je suis en train de bosser, mais c'est pas le même chipset ATI

#grep ATI /var/log/XFree.0.log
(--) RADEON(0): Chipset: "ATI Radeon Mobility 9000 (M9) Lf (AGP)" (ChipID = 0x4c66)
(--) RADEON(1): Chipset: "ATI Radeon Mobility 9000 (M9) Lf (AGP)" (ChipID = 0x4c66)

j'ai bidouillé autour du résultat de fglrxconfig et ça me fait un bel affichage dual screen (grace à la station d'accueil) et plutôt nerveux ....

edit> boulette j'avais pas vu C600 et non pas D600 :(

Link to post
Share on other sites

Personne d'autre n'a d'idée ? J'ai deja regardé de mon coté, et je n'ai pas vraiment trouvé, et le probleme est que je n'ai pas le temps de bidouiller avec les differents drivers dispo vu que je suis pris par le temps. :(

Link to post
Share on other sites
  • 3 weeks later...
  • 1 month later...
Je uppe ce sujet pour faire une enquête:

l'un d'entre vous a déjà utilisé apt-build?

Est-ce que ça marche bien?

Est-ce que cela permet de désinstaller les soft?

neo

Pour te répondre neo, je viens de me faire un apt-build install unzip.

Premier truc : virer le paquet s'il existe deja...

faire apt-get clean au cas ou ca marche pas

puis apt-build install unzip.

Ca telecharge les sources, ca compile et ca le met dans le repository local.

Il ne faut pas oublier de decommenter la lignes dans le sources.list pour que l'apt-get cherche en premier dans ce repository et que s'il trouve le paquet demandé, ben ca l'installe :)

Apres on peut optimiser a la maniere de gentoo j'ai l'impression avec les differents level -01 -02 -03

D'apres moi, ca a l'air de bien marcher ... La je teste en me faisant un plus gros paquet (eSVN)

Par contre, pour les paquets consommateurs de CPU qu'il faut recompiler, c'est plus rude, exemple : tar

dpkg a besoin de tar, apt-get a besoin de dpkg

or il faut supprimer tar pour le apt-builder... Or si on le supprime, apt-get ne marchera plus... Donc c un cercle vicieux :eeek2: Il y'a ptet moyen de juste recompiler le paquet et en faire un .deb optimisé, mais j'ai pas encore cherché :yes:

Link to post
Share on other sites

La Sarge ne devait pas passer en "Stable" pour la fin Mai ???

Encore du retard ?

Je vais reprendre pas mal la configuration de mon serveur (Woody) donc je voulais savoir ce qui va changer...???

Link to post
Share on other sites

Archived

This topic is now archived and is closed to further replies.


×
×
  • Create New...